App\Library\Amazon\Classes\SoftwareGames:
    xml_root_name: SoftwareGames
    properties:
        softwareVideoGamesGenre:
            expose: true
            access_type: public_method
            serialized_name: SoftwareVideoGamesGenre
            accessor:
                getter: getSoftwareVideoGamesGenre
                setter: setSoftwareVideoGamesGenre
            xml_list:
                inline: true
                entry_name: SoftwareVideoGamesGenre
            type: array<string>
        eSRBRating:
            expose: true
            access_type: public_method
            serialized_name: ESRBRating
            accessor:
                getter: getESRBRating
                setter: setESRBRating
            type: string
        bBFCRating:
            expose: true
            access_type: public_method
            serialized_name: BBFCRating
            accessor:
                getter: getBBFCRating
                setter: setBBFCRating
            type: string
        pEGIRating:
            expose: true
            access_type: public_method
            serialized_name: PEGIRating
            accessor:
                getter: getPEGIRating
                setter: setPEGIRating
            type: string
        uSKRating:
            expose: true
            access_type: public_method
            serialized_name: USKRating
            accessor:
                getter: getUSKRating
                setter: setUSKRating
            type: string
        mediaFormat:
            expose: true
            access_type: public_method
            serialized_name: MediaFormat
            accessor:
                getter: getMediaFormat
                setter: setMediaFormat
            xml_list:
                inline: true
                entry_name: MediaFormat
            type: array<string>
        operatingSystem:
            expose: true
            access_type: public_method
            serialized_name: OperatingSystem
            accessor:
                getter: getOperatingSystem
                setter: setOperatingSystem
            xml_list:
                inline: true
                entry_name: OperatingSystem
            type: array<string>
        bundles:
            expose: true
            access_type: public_method
            serialized_name: Bundles
            accessor:
                getter: getBundles
                setter: setBundles
            type: string
        eSRBDescriptors:
            expose: true
            access_type: public_method
            serialized_name: ESRBDescriptors
            accessor:
                getter: getESRBDescriptors
                setter: setESRBDescriptors
            xml_list:
                inline: true
                entry_name: ESRBDescriptors
            type: array<string>
        hardwarePlatform:
            expose: true
            access_type: public_method
            serialized_name: HardwarePlatform
            accessor:
                getter: getHardwarePlatform
                setter: setHardwarePlatform
            xml_list:
                inline: true
                entry_name: HardwarePlatform
            type: array<string>
        pEGIDetails:
            expose: true
            access_type: public_method
            serialized_name: PEGIDetails
            accessor:
                getter: getPEGIDetails
                setter: setPEGIDetails
            type: App\Library\Amazon\Classes\PEGIDetailsType
        mFGSuggestedAgeMin:
            expose: true
            access_type: public_method
            serialized_name: MFGSuggestedAgeMin
            accessor:
                getter: getMFGSuggestedAgeMin
                setter: setMFGSuggestedAgeMin
            type: integer
        mFGSuggestedAgeMax:
            expose: true
            access_type: public_method
            serialized_name: MFGSuggestedAgeMax
            accessor:
                getter: getMFGSuggestedAgeMax
                setter: setMFGSuggestedAgeMax
            type: integer
        maxNumberOfPlayers:
            expose: true
            access_type: public_method
            serialized_name: MaxNumberOfPlayers
            accessor:
                getter: getMaxNumberOfPlayers
                setter: setMaxNumberOfPlayers
            type: integer
        softwarePlatform:
            expose: true
            access_type: public_method
            serialized_name: SoftwarePlatform
            accessor:
                getter: getSoftwarePlatform
                setter: setSoftwarePlatform
            xml_list:
                inline: true
                entry_name: SoftwarePlatform
            type: array<App\Library\Amazon\Classes\SoftwarePlatform>
        onlinePlay:
            expose: true
            access_type: public_method
            serialized_name: OnlinePlay
            accessor:
                getter: getOnlinePlay
                setter: setOnlinePlay
            type: boolean
